This section will allow you to install a proper local environment step by step for Pilote application using VSCode IDE.

## VSCode

### Install VSCode

Installation for VSCode can be found here: [Installation of VSCode](https://code.visualstudio.com/).

### Extensions

Installation of Extention is explained here: [Installation of Extensions](https://code.visualstudio.com/docs/editor/extension-gallery).

Here are the list of important extensions to install:

- Prettier - Code formatter
- ES7 React/Redux/GraphQL/React-Native snippets
- GitLens - Git supercharged
- Markdown Preview

Optional extensions:

- Bracket Pair Colorizer 2
- CSS Peek
- Auto Rename Tag
- indent-rainbow
- TabOut
- Liveshare (pair programming extension)

### User settings

User settings for Ecolyo are described in this section: **LINK TO SECTION TO ADD**

## Git

The project is using GitLab, you will need to install Git to checkout the projet.
Installation for Git can be found here: [Installation of Git](https://git-scm.com/).

## Node

!!! warning "Version 12"
For now please install node v12, any later version will cause side effects on sass modules!
Download [node-v12](https://nodejs.org/download/release/v12.19.0/node-v12.19.0-x64.msi)

Node.js® is a JavaScript runtime built on Chrome's V8 JavaScript engine.

## Yarn

Yarn is used as package manager for this projet. Feel free to use the one you prefere but we advice to install yarn as all the documentation is described with this package manager.
Installation for yarn can be found here: [Installation of Yarn](https://classic.yarnpkg.com/fr/docs/install/).

## Docker

Docker is a tool designed to make it easier to create, deploy, and run applications by using containers. Containers allow a developer to package up an application with all of the parts it needs, such as libraries and other dependencies, and ship it all out as one package. By doing so, thanks to the container, the developer can rest assured that the application will run on any other Linux machine regardless of any customized settings that machine might have that could differ from the machine used for writing and testing the code.

### Install Docker

Installation of Docker can be found here: [Installation of Docker](https://www.docker.com/get-started).

### Install Docker-Compose

Installation of Docker-Compose (according to your OS) is explained here: [Installation of Docker-Compose](https://docs.docker.com/compose/install/).
