:construction: Section under Construction :construction:

## Profile Service 

### Functions

- `getProfile`: Tries fetching the profile if it exists. If not, it creates a new one and returns it.
- `updateProfile`: Updates the profile.

## Note Service 

### Functions

- `findNoteCurrentAppointement`: Returns a note from an appointment id.
- `findNoteById`: Returns a note by its id.
- `getAllNotes`: Returns all notes.
- `findLastNote`: Returns the last note by date.
- `createNote`: Creates a new note and returns it.
- `updateNote`: Updates a note.
- `deleteNoteById`: Deletes a note by its id.

## DocRule Service 

### Functions

- `createDocRule`: Creates a new docRule.
- `getDocRuleById`: Returns a docRule by its id.
- `getDocRulesByIds`: Returns a list of docRules by their ids.
- `getAllDocRules`: Returns all docRules.
- `createAllDocRules`: Fetches all docRules and creates the missing ones.

## Document Service

### Functions

- `getAllDocuments`: Returns the list of all documents.
- `getDocumentsByQualification`: Returns a document by the `'metadata.qualification.label'`.
- `getDocumentsByQualifications`: Uses `getDocumentsByQualification` to return a list of documents by the `'metadata.qualification.label'`.
- `getDocumentByID`: Returns a document by its id.
- `saveDocument`: Creates a new file.
- `editDocumentName`: Edits a document's name by its id.
- `deleteDocumentById`: Deletes the document by its id.
- `downloadDocument`: Downloads a file from its id.
- `viewDocument`: Takes a document's id, opens its download link and returns it. 

## Contact Service

### Functions

- `getCurrentUser`: Returns the contact with an existing `me` field, which represents the current user.
- `getAllContacts`: Returns a list of all contacts.
- `findContactById`: Returns a contact by its id.
- `createContact`: Creates a new contact.
- `updateContact`: Updates an existing contact.
- `deleteContactById`: Deletes a contact by its id.

## Group Service

## Function

- `createMetroGroup`: Creates a new group and returns it.
- `getMetroGroup`: Returns the group if it exists or creates it if it doesn't.

## ...